Subject: Re: [PATCH net-next v0 3/3] net: phy: marvell: Add support for offloading LED blinking

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 18 Jun 2023 20:15:45 +0100

On Sun, Jun 18, 2023 at 07:39:37PM +0200, Andrew Lunn wrote:
> Add the code needed to indicate if a given blinking pattern can be
> offloaded, to offload a pattern and to try to return the current
> pattern. It is expected that ledtrig-netdev will gain support for
> other patterns, such as different link speeds etc. So the code is
> over-engineers to make adding such additional patterns easy.

Hi Andrew,

What is the effect of this patch when LEDs are configured via the
existing DT property that allows arbitary register writes in this
driver?

There are a number of DTs that configure the LEDs this way, and
I don't think we would wish to regress that established configuration.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!